X2Go Bug report logs - #1185
broker use creds for sessions

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Mon, 5 Jun 2017 10:25:02 UTC

Severity: wishlist

Tags: patch, pending

Fixed in version 4.1.1.0

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


Message #15 received at 1185@bugs.x2go.org (full text, mbox, reply):

Received: (at 1185) by bugs.x2go.org; 23 Sep 2017 13:40:33 +0000
From x2go@ymir.das-netzwerkteam.de  Sat Sep 23 15:40:16 2017
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=3.0 tests=ALL_TRUSTED,BAYES_00
	autolearn=unavailable autolearn_force=no version=3.4.1
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id A8B155DAD1;
	Sat, 23 Sep 2017 15:40:16 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 9gzYzPlAMSVD; Sat, 23 Sep 2017 15:40:11 +0200 (CEST)
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 1EDE95DACF; Sat, 23 Sep 2017 15:40:10 +0200 (CEST)
From: Mihai Moldovan <ionic@ionic.de>
To: 1185-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1185@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20170923134011.1EDE95DACF@ymir.das-netzwerkteam.de>
Date: Sat, 23 Sep 2017 15:40:10 +0200 (CEST)
tag #1185 pending
fixed #1185 4.1.1.0
thanks

Hello,

X2Go issue #1185 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=1309683

The issue will most likely be fixed in src:x2goclient (4.1.1.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 1309683a300547c3b95652da348b34d8303db009
Author: Walid Moghrabi <w.moghrabi@servicemagic.eu>
Date:   Sat Sep 23 15:37:17 2017 +0200

    {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}: pass-through broker credentials when connecting to a direct RDP session. Fixes: #1185.
    
    Adds a new  --broker-use-creds-for-session parameter.

diff --git a/debian/changelog b/debian/changelog
index 47d7fdb..da05125 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -254,6 +254,10 @@ x2goclient (4.1.1.0-0x2go1) UNRELEASED; urgency=medium
     - {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}: let
       --background take a directory and randomly pick an SVG file in there.
       Fixes: #1165.
+    - {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}:
+      pass-through broker credentials when connecting to a direct RDP session.
+      Fixes: #1185.
+      Adds a new  --broker-use-creds-for-session parameter.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Wed, 22 Feb 2017 07:13:10 +0100
 


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat May 25 04:19:17 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.